import {Routes} from '@angular/router';
import {ScheduleComponent} from "@page/schedule/schedule.component";
import {WelcomeComponent} from "@page/setup/welcome/welcome.component";
import {DatabaseComponent} from "@page/setup/database/database.component";
import {CacheComponent} from "@page/setup/cache/cache.component";
import {LoggingComponent} from "@page/setup/logging/logging.component";
import {ScheduleComponent as SetupScheduleComponent} from "@page/setup/schedule/schedule.component";
import {SetupComponent} from "@page/setup/setup.component";
import {CreateAdminComponent} from "@page/setup/create-admin/create-admin.component";
import {SummaryComponent} from "@page/setup/summary/summary.component";
import {LoginComponent} from "@page/login/login.component";
import {PasswordPolicyComponent} from "@page/setup/password-policy/password-policy.component";
import {TwoFactorComponent} from "@page/setup/two-factor/two-factor.component";

export const routes: Routes = [
  {path: '', title: 'Расписание', pathMatch: 'full', component: ScheduleComponent},
  {
    path: 'setup', title: 'Установка', component: SetupComponent, children: [
      {path: 'welcome', component: WelcomeComponent},
      {path: 'database', component: DatabaseComponent},
      {path: 'cache', component: CacheComponent},
      {path: 'create-admin', component: CreateAdminComponent},
      {path: 'schedule', component: SetupScheduleComponent},
      {path: 'logging', component: LoggingComponent},
      {path: 'summary', component: SummaryComponent},
      {path: 'password-policy', component: PasswordPolicyComponent},
      {path: 'two-factor', component: TwoFactorComponent},
      {path: '', redirectTo: 'welcome', pathMatch: 'full'}
    ]
  },
  {path: 'login', title: 'Вход', component: LoginComponent},
  /*{path: 'not-found', title: '404 страница не найдена'},
  {path: '**', redirectTo: '/not-found'}*/
];
